Bug 731862 - [RFE] User Groups
[RFE] User Groups
Status: NEW
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.6
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2011-08-18 16:11 EDT by JDavis4102
Modified: 2012-05-25 15:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JDavis4102 2011-08-18 16:11:23 EDT
It would be nice if Spacewalk would have user groups. These user groups would then be able to be added to system groups for administration. This would make administration of user accounts and adding new system groups easy by having a central location to manage what group of users are assigned to groups of systems.
Comment 1 Tomas Lestach 2011-08-26 09:52:40 EDT
Hello,

could you, please, describe more in detail, what you mean with your request? It's not very clear.
Comment 2 JDavis4102 2011-08-26 12:44:56 EDT
Hello Tomas,

At the company I work for we have different teams that are using Spacewalk. Each team has users that are in Spacewalk that are assigned certain system groups which their servers are joined to those groups. Each user manages their perspective system groups. What I would like to see is the user accounts assigned to a "Team" group and then that group be granted access to the system groups instead of accounts. This "Team" group would have the user accounts assigned to the group which enables them to manage the systems that were granted based on group membership.  This will also allow us to report on Team specific servers as well as manage who has access to what servers. If you need any further information please feel free to ask. Thank you for your time and have a great day!

Thanks,
Jeremy
Comment 3 JDavis4102 2012-01-03 18:22:23 EST
Any update as to when this might be added?
Comment 4 Tomas Lestach 2012-01-04 04:18:05 EST
Hey Jeremy,
this is not a priority for Red Hat's Spacewalk developers and will likely not be completed by Red Hat in the next 2 years. We agree that this is a valid request and something that could be achieved. Will leave it open to allow for the potential of community contribution for this.

Note You need to log in before you can comment on or make changes to this bug.